## cl-mcclim 0.9.1

=== Makefile ===
### lisp executable
LISP = lisp
### compiled file extension
FAS = x86f
#FAS = sparcf
### C compiler/flags
CC = gcc
CFLAGS = -Wall -O
### OpenGL and X11 libraries; a list of strings that will be passed to ld
### through #'LOAD-FOREIGN
#LIBS = "-L/usr/X11/lib" "-Xext" "-L/usr/local/lib" "-lMesaGL" "-lMesaGLU" "-lglut"
LIBS = "-L/usr/X11/lib" "-lGL" "-lGLU" "-lglut"
#LIBS = "-L/usr/openwin/lib" "-lXext" "-lXi" "-lGL" "-lGLU" "-lglut"

#------- nothing under this line should be necessary to change -------
CDIR = `pwd`

all: run-lisp gl.${FAS} xlib.${FAS} defsystem.lisp

defsystem.lisp:
	rm -f defsystem.lisp
	echo ';; defsystem.lisp -- generated by Makefile' > defsystem.lisp
	echo >> defsystem.lisp
	echo '(defun load-xlib ()' >> defsystem.lisp
	echo ' (load-foreign "'${CDIR}'/xlib-c.o" :libraries (list ${LIBS}))' >> defsystem.lisp
	echo ' (load "'${CDIR}'/cmucl-interface-defpackage")' >> defsystem.lisp
	echo ' (load "'${CDIR}'/cmucl-interface")' >> defsystem.lisp
	echo ' (load "'${CDIR}'/xlib-defpackage")' >> defsystem.lisp
	echo ' (load "'${CDIR}'/xlib"))' >> defsystem.lisp
	echo >> defsystem.lisp
	echo '(defun load-gl ()' >> defsystem.lisp
	echo ' (load-foreign "'${CDIR}'/gl-c.o" :libraries (list ${LIBS}))' >> defsystem.lisp
	echo ' (load "'${CDIR}'/cmucl-interface-defpackage")' >> defsystem.lisp
	echo ' (load "'${CDIR}'/cmucl-interface")' >> defsystem.lisp
	echo ' (load "'${CDIR}'/gl-defpackage")' >> defsystem.lisp
	echo ' (load "'${CDIR}'/gl"))' >> defsystem.lisp
	${LISP} -eval '(progn (compile-file "defsystem.lisp") (quit))'

load-libs.lisp:
	rm -f load-libs.lisp
	echo ";; load-libs.lisp -- generated by Makefile" > load-libs.lisp
	echo '(load-foreign "'${CDIR}'/gl-c.o" :libraries (list ${LIBS}))' >> load-libs.lisp
	echo '(load-foreign "'${CDIR}'/xlib-c.o" :libraries (list ${LIBS}))' >> load-libs.lisp
	${LISP} -eval '(progn (compile-file "load-libs.lisp") (quit))'

run-lisp:
	rm -f run-lisp
	echo '#!/bin/sh' > run-lisp
	echo "CDIR=${CDIR}" >> run-lisp
	echo '${LISP} -load $$CDIR/load-libs -load $$CDIR/cmucl-interface-defpackage -load $$CDIR/cmucl-interface -load $$CDIR/gl-defpackage -load $$CDIR/gl -load $$CDIR/xlib-defpackage -load $$CDIR/xlib $$*' >> run-lisp
	chmod 755 run-lisp

gl-c.o: gl-c.c
	${CC} ${CFLAGS} -c gl-c.c

xlib-c.o: xlib-c.c
	${CC} ${CFLAGS} -c xlib-c.c

cmucl-interface-defpackage.${FAS}: cmucl-interface-defpackage.lisp
	${LISP} -eval \
	'(progn (compile-file "cmucl-interface-defpackage.lisp") (quit))'

cmucl-interface.${FAS}: cmucl-interface.lisp cmucl-interface-defpackage.${FAS}
	${LISP} -load cmucl-interface-defpackage \
	-eval '(progn (compile-file "cmucl-interface.lisp" :byte-compile nil) (quit))'

gl-defpackage.${FAS}: gl-defpackage.lisp cmucl-interface-defpackage.${FAS}
	${LISP} -load cmucl-interface-defpackage \
	-eval '(progn (compile-file "gl-defpackage.lisp") (quit))'

gl.${FAS}: gl.lisp gl-defpackage.${FAS} cmucl-interface.${FAS} gl-c.o \
		xlib-c.o load-libs.lisp
	${LISP} -load cmucl-interface-defpackage -load cmucl-interface \
	-load gl-defpackage -load load-libs \
	-eval '(progn (compile-file "gl.lisp" :byte-compile nil) (quit))'

xlib-defpackage.${FAS}: xlib-defpackage.lisp cmucl-interface-defpackage.${FAS}
	${LISP} -load cmucl-interface-defpackage \
	-eval '(progn (compile-file "xlib-defpackage.lisp") (quit))'

xlib.${FAS}: xlib.lisp xlib-defpackage.${FAS} cmucl-interface.${FAS} \
		gl-c.o xlib-c.o load-libs.lisp
	${LISP} -load cmucl-interface-defpackage -load cmucl-interface \
	-load xlib-defpackage -load load-libs \
	-eval '(progn (compile-file "xlib.lisp" :byte-compile nil) (quit))'

clean:
	rm -f *.o *.${FAS} *~ load-libs.lisp run-lisp defsystem.lisp

=== examples/Makefile ===
RUNLISP = lisp -load ../load-libs -load ../cmucl-interface-defpackage -load ../cmucl-interface -load ../gl-defpackage -load ../gl -load ../xlib-defpackage -load ../xlib
#FAS = sparcf
FAS = x86f

all: glspin-glx.${FAS} bounce-glx.${FAS}

glspin-glx.${FAS}: glspin-glx.lisp ../xlib.${FAS} ../gl.${FAS}
	${RUNLISP} -eval '(progn (compile-file "glspin-glx") (quit))'

bounce-glx.${FAS}: bounce-glx.lisp ../xlib.${FAS} ../gl.${FAS}
	${RUNLISP} -eval '(progn (compile-file "bounce-glx") (quit))'

clean:
	rm -f *.$(FAS)

## cl-mcclim 0.9.1.dfsg.1

=== Doc/Makefile ===
NAME=manual

TEXFILES=$(NAME).tex $(shell ./tex-dependencies $(NAME).tex)
PSTEX_T=$(shell ./strip-dependence inputfig $(TEXFILES))
VERBATIM=$(shell ./strip-dependence verbatimtabinput $(TEXFILES))
PSTEX=$(subst .pstex_t,.pstex,$(PSTEX_T))

all : $(NAME).ps

%.pstex: %.fig
	fig2dev -Lpstex -m 0.75  $< $@

%.pstex_t: %.fig %.pstex
	fig2dev -Lpstex_t -m 0.75 -p $(basename $<).pstex $< $@

$(NAME).dvi: $(TEXFILES) $(PSTEX_T) $(VERBATIM)
	latex $<
#	makeindex $(NAME)
	latex $<

$(NAME).ps: $(NAME).dvi $(PSTEX)
	dvips $< -o

view: $(NAME).ps
	gv -antialias -scale 1 $<

clean:
	rm -f *.aux *.log *~

spotless:
	make clean
	rm -f *.ps *.dvi *.pstex *.pstex_t *.toc *.idx *.ilg *.ind

## cl-mcclim 0.9.6.dfsg.cvs20100315

=== debian/changelog ===
cl-mcclim (0.9.6.dfsg.cvs20100315-2) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Sat, 30 Nov 2013 21:06:22 +0100

cl-mcclim (0.9.6.dfsg.cvs20100315-1) unstable; urgency=low

  * New upstream snapshot.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Separate upstream source changes to debian/patches/.
  * Updated to debhelper 7.
  * Use dh_lisp.
  * Section changed to lisp.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Tue, 16 Mar 2010 21:29:00 +0100

cl-mcclim (0.9.6.dfsg.1-2) unstable; urgency=low

  * Depend on cl-flexichain>=1.5.1.

 -- Milan Zamazal <pdm@debian.org>  Tue, 01 Jul 2008 14:45:13 +0200

cl-mcclim (0.9.6.dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.8.0 (no real change).
  * Homepage control field added.

 -- Milan Zamazal <pdm@debian.org>  Sat, 28 Jun 2008 12:38:46 +0200

cl-mcclim (0.9.5.dfsg.1-1) unstable; urgency=low

  * New upstream version; closes: #441312.

 -- Milan Zamazal <pdm@debian.org>  Thu,  6 Sep 2007 16:36:07 +0200

cl-mcclim (0.9.4.dfsg.1-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental because etch is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Fri,  9 Feb 2007 08:24:31 +0100

cl-mcclim (0.9.2.dfsg.1-2) unstable; urgency=low

  * Information about CLX dependencies added to package descriptions;
    closes: #400504.
  * Build-depend, not build-depend-indep, on debhelper.
  * Standards 3.7.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sun,  3 Dec 2006 09:48:32 +0100

cl-mcclim (0.9.2.dfsg.1-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun,  2 Apr 2006 17:13:32 +0200

cl-mcclim (0.9.1.dfsg.1-1) unstable; urgency=low

  * Non-free (and unused) files mistakenly retained from the original
    upstream source removed.

 -- Milan Zamazal <pdm@debian.org>  Sat,  7 Jan 2006 20:54:41 +0100

cl-mcclim (0.9.1-3) unstable; urgency=low

  * Support for new SBCL threading API added; thanks to
    René van Bevern <rvb@progn.org>; closes: #344415.
  * Standards 3.6.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Fri, 23 Dec 2005 21:33:06 +0100

cl-mcclim (0.9.1-2) unstable; urgency=low

  * mcclim.asd: Scigraph entry removed (closes: #311731).

 -- Milan Zamazal <pdm@debian.org>  Sun,  5 Jun 2005 14:44:40 +0200

cl-mcclim (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Milan Zamazal <pdm@debian.org>  Thu, 10 Mar 2005 22:41:20 +0100

cl-mcclim (0.9+cvs.2005.02.02-2) unstable; urgency=low

  * Fix of binary PNM image handling with SB-UNICODE applied.
  * Upstream project location updated.

 -- Milan Zamazal <pdm@debian.org>  Tue,  8 Feb 2005 08:27:55 +0100

cl-mcclim (0.9+cvs.2005.02.02-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Wed,  2 Feb 2005 11:34:31 +0100

cl-mcclim (0.9+cvs.2004.12.27-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Mon, 27 Dec 2004 11:00:42 +0100

cl-mcclim (0.9+cvs.2004.11.30-1) unstable; urgency=low

  * New CVS snapshot.
  * Source files containing non-ASCII characters converted to UTF-8 to
    compile with new SBCL version.

 -- Milan Zamazal <pdm@debian.org>  Tue, 30 Nov 2004 13:39:08 +0100

cl-mcclim (0.9+cvs.2004.11.08-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Mon,  8 Nov 2004 14:47:10 +0100

cl-mcclim (0.9+cvs.2004.10.20-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Wed, 20 Oct 2004 10:06:34 +0200

cl-mcclim (0.9+cvs.2004.10.10-1) unstable; urgency=low

  * New CVS snapshot.
  * generate-panes and colorslider demo fixes; closes: #275483.
  * cl-mcclim: Suggest both cmucl-source and cl-clx-sbcl, describe the CLX
    dependency in README.Debian; closes: #275480.

 -- Milan Zamazal <pdm@debian.org>  Sun, 10 Oct 2004 12:55:23 +0200

cl-mcclim (0.9+cvs.2004.09.18-1) unstable; urgency=low

  * New CVS snapshot.
  * pointer-tracking bug fix.

 -- Milan Zamazal <pdm@debian.org>  Sat, 18 Sep 2004 22:09:17 +0200

cl-mcclim (0.9+cvs.2004.08.01-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Sun,  1 Aug 2004 19:44:28 +0200

cl-mcclim (0.9+cvs.2004.07.28-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 Jul 2004 22:44:41 +0200

cl-mcclim (0.9+cvs.2004.07.16-1) unstable; urgency=low

  * New CVS snapshot.
  * Examples link fixed; closes: #258466.

 -- Milan Zamazal <pdm@debian.org>  Fri, 16 Jul 2004 11:55:04 +0200

cl-mcclim (0.9+cvs.2004.06.03-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Thu,  3 Jun 2004 11:41:45 +0200

cl-mcclim (0.9+cvs.2004.04.09-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Sun, 11 Apr 2004 17:42:33 +0200

cl-mcclim (0.9+cvs.2004.02.27-3) unstable; urgency=low

  * Register clim-clx into common-lisp-controller; closes: #239197.
  * cl-mcclim-examples: Register clim-examples in common-lisp-controller,
    recommend cl-mcclim.
  * cl-mcclim-doc: Suggest cl-mcclim.

 -- Milan Zamazal <pdm@debian.org>  Wed, 24 Mar 2004 09:42:00 +0100

cl-mcclim (0.9+cvs.2004.02.27-2) unstable; urgency=low

  * System definition adjusted for Debian CMUCL installation;
    closes: #237592.
  * cl-mcclim, cl-mcclim-examples: README.Debian added.

 -- Milan Zamazal <pdm@debian.org>  Fri, 12 Mar 2004 22:12:52 +0100

cl-mcclim (0.9+cvs.2004.02.27-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Fri, 27 Feb 2004 10:48:03 +0100

cl-mcclim (0.9+cvs.2004.01.23-1) unstable; urgency=low

  * Initial release; based on former Kevin M. Rosenberg's packaging.
  * Patch of CLX imaging support by Milan Zamazal included.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 Jan 2004 11:07:02 +0100

=== debian/control ===
Source: cl-mcclim
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), dh-lisp
Homepage: http://common-lisp.net/project/mcclim/
Standards-Version: 3.8.4

Package: cl-mcclim
Architecture: all
Depends: common-lisp-controller (>= 3.37), cmucl-source | cl-clx-sbcl | libgtk2.0-dev, cmucl-source | cl-clx-sbcl | cl-cffi, cl-spatial-trees (>= 0.1-2), cl-flexichain (>= 1.5.1), cl-swank, ${misc:Depends}
Suggests: cl-mcclim-doc, cl-mcclim-examples, cmucl-source, cl-clx-sbcl, libgtk2.0-dev, cl-cffi
Description: Common Lisp graphic user interface toolkit
 McCLIM is a free implementation of the CLIM specification.  CLIM (Common Lisp
 Interface Manager) is a cross-platform, cross-implementation graphic user
 interface toolkit for Common Lisp programs.
 .
 This package contains the McCLIM library.
 .
 Please note that a CLX implementation compatible with your CL system,
 i.e. cl-clx-sbcl for sbcl and cmucl-source for cmucl, is required to compile
 and run cl-mcclim.
    
Package: cl-mcclim-examples
Architecture: all
Depends: common-lisp-controller (>= 3.37), ${misc:Depends}
Recommends: cl-mcclim
Description: Common Lisp graphic user interface toolkit
 McCLIM is a free implementation of the CLIM specification.  CLIM (Common Lisp
 Interface Manager) is a cross-platform, cross-implementation graphic user
 interface toolkit for Common Lisp programs.
 . 
 This package contains example files for McCLIM.
 .
 Please note that a CLX implementation compatible with your CL system,
 i.e. cl-clx-sbcl for sbcl and cmucl-source for cmucl, is required to compile
 and run cl-mcclim and cl-mcclim-examples.

Package: cl-mcclim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: cl-mcclim
Description: Graphic user interface package for Common Lisp programs
 McCLIM is a free implementation of the CLIM specification.  CLIM (Common Lisp
 Interface Manager) is a cross-platform, cross-implementation graphic user
 interface toolkit for Common Lisp programs.
 .
 This package contains McCLIM documentation.

=== debian/rules ===
#!/usr/bin/make -f

package	:= cl-mcclim

clc-source  := usr/share/common-lisp/source
clc-systems := usr/share/common-lisp/systems
clc-package := mcclim
clc-files   := $(clc-source)/$(clc-package)


build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	# cl-mcclim
	dh_installdirs $(clc-systems)
	dh_install *.lisp Apps Backends Drei ESA Experimental Extensions Goatee Lisp-Dep Looks Tools $(clc-files)
	dh_install mcclim.asd clim-listener.asd clouseau.asd $(clc-files)
	dh_link $(clc-files)/mcclim.asd $(clc-systems)/$(clc-package).asd
	set -e; for p in clim clim-clx clim-clx-user clim-looks; do \
	  dh_link $(clc-systems)/$(clc-package).asd $(clc-systems)/$$p.asd; \
	done
	# cl-mcclim-examples
	dh_installdirs -p$(package)-examples $(clc-systems) $(clc-files)
	dh_install -p$(package)-examples Examples $(clc-files)
	dh_link -p$(package)-examples $(clc-files)/Examples usr/share/doc/$(package)-examples/examples
	dh_install -p$(package)-examples clim-examples.asd $(clc-files)/
	dh_link -p$(package)-examples $(clc-files)/clim-examples.asd $(clc-systems)/clim-examples.asd
	# cl-mcclim-doc
	# common
	find debian -name .cvsignore -exec rm {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_installchangelogs -A
	dh_compress -A
	dh_fixperms -A
	find debian -name '*.lisp' -exec chmod -x {} \;
	dh_lisp -A
	dh_installdeb -A
	dh_gencontrol -A
	dh_md5sums -A
	dh_builddeb -A

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
